For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
            • POSTCompute RAG index
            • GETGet RAG index
            • GETGet RAG index overview
            • POSTCompute RAG index in batch
            • DELDelete RAG index
          • GETSearch knowledge base
          • GETGet dependent agents
          • GETGet knowledge base size
          • GETGet knowledge base summaries
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceKnowledge BaseRAG

Get RAG index

GET
/v1/convai/knowledge-base/:documentation_id/rag-index
GET
/v1/convai/knowledge-base/:documentation_id/rag-index
$curl https://api.elevenlabs.io/v1/convai/knowledge-base/documentation_id/rag-index
1{
2 "indexes": [
3 {
4 "id": "string",
5 "model": "e5_mistral_7b_instruct",
6 "status": "new",
7 "progress_percentage": 1.1,
8 "document_model_index_usage": {
9 "used_bytes": 1
10 }
11 }
12 ]
13}
Provides information about all RAG indexes of the specified knowledgebase document.
Was this page helpful?
Previous

Get RAG index overview

Next
Built with

Path parameters

documentation_idstringRequired
The id of a document from the knowledge base. This is returned on document addition.

Headers

xi-api-keystringOptional

Response

Successful Response
indexeslist of objects

Errors

422
Unprocessable Entity Error